Tp::Client::ConnectionInterfacePowerSavingInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ConnectionInterfacePowerSavingInterface Class Reference
Connection proxies

`#include <TelepathyQt/Connection>`

Inherits Tp::AbstractInterface.

## Public Slots
QDBusPendingReply | SetPowerSaving (bool activate, int timeout=-1)

## Signals
void | PowerSavingChanged (bool active)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions
| ConnectionInterfacePowerSavingInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfacePowerSavingInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfacePowerSavingInterface (Tp::DBusProxy *proxy)
| ConnectionInterfacePowerSavingInterface (const Tp::Client::ConnectionInterface &mainInterface)
| ConnectionInterfacePowerSavingInterface (const Tp::Client::ConnectionInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertyPowerSavingActive () const
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions
static QLatin1String | staticInterfaceName ()

## Protected Member Functions
virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members
Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.PowerSaving".

## Constructor & Destructor Documentation

Tp::Client::ConnectionInterfacePowerSavingInterface::ConnectionInterfacePowerSavingInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfacePowerSavingInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfacePowerSavingInterface::ConnectionInterfacePowerSavingInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfacePowerSavingInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfacePowerSavingInterface::ConnectionInterfacePowerSavingInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionInterfacePowerSavingInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ConnectionInterfacePowerSavingInterface::ConnectionInterfacePowerSavingInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface | ) |
| explicit

Creates a ConnectionInterfacePowerSavingInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::ConnectionInterfacePowerSavingInterface::ConnectionInterfacePowerSavingInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ConnectionInterfacePowerSavingInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ConnectionInterfacePowerSavingInterface::staticInterfaceName | ( |  | ) |
| inlinestatic

Returns the name of the interface "org.freedesktop.Telepathy.Connection.Interface.PowerSaving", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::ConnectionInterfacePowerSavingInterface::requestPropertyPowerSavingActive | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `PowerSavingActive` of type `bool`.

`True` if protocol-level power saving features are currently activated. This property can be changed using the SetPowerSaving() method; change notifications is via the PowerSavingChanged() signal.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::ConnectionInterfacePowerSavingInterface::requestAllProperties | ( |  | ) | const
| inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply Tp::Client::ConnectionInterfacePowerSavingInterface::SetPowerSaving | ( | bool | activate,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `SetPowerSaving` on the remote object.

Turn power saving mode on or off.

Depending on the device's activity level, the connection can have its power saving mode turned on or off.

Errors raised by this method indicate that power saving could not be enabled, which SHOULD NOT generally be treated as fatal.

If the CM cannot switch modes, either because of the protocol (`NotImplemented`), or because of the service (`NotAvailable`), Mission Control (or whoever manages this) should be made aware. The error could be ignored or, in the extreme, be fascist and disconnect the account.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  activate |
      True if protocol-level power saving features should be activated;
      False if they should be de-activated.
  timeout | The timeout in milliseconds.

void Tp::Client::ConnectionInterfacePowerSavingInterface::PowerSavingChanged | ( | bool | active | ) |
| signal

Represents the signal `PowerSavingChanged` on the remote object.

The PowerSavingActive property changed.

Parameters

  active |
      The new state of the power saving feature.

void Tp::Client::ConnectionInterfacePowerSavingInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |
| protectedvirtual

Reimplemented from Tp::AbstractInterface.